\begin{tikzpicture}[]
\node[observation,fill=white,label={[align=center,font=\tiny]
90:Query
% \\$\mathcal R=\{1,\ldots,|p_0|\}$
}] (qu) at (-1,0) {$p_0$};
\node[] (inp) at (-3,0) {} edge[->,thick] node[above,align=center,font=\tiny] {Input} (qu);
\node[observation,font=\tiny,label={[align=center,font=\tiny]0:Search\\hits}] (homos) at (2,0) {$\mathcal H$} 
  edge[mainedge] node[above,align=center,font=\tiny] {Homology search} (qu);
\node[observation,font=\tiny,label={[align=center,font=\tiny]0:Protein\\cluster}] (fam) at (2,-1.5) {$\mathcal P$} 
  edge[mainedge] node[left,align=center,font=\tiny] {Filter} (homos);
\node[observation,font=\tiny,label={[align=center,font=\tiny]0:Multiple\\sequence\\alignment}] (aln) at (2,-3) {$MSA$} 
  edge[mainedge] node[left,align=center,font=\tiny] {Align} (fam);
\node[observation,font=\tiny,align=center,label={[align=center,font=\tiny]270:}] (pdb) at (-1,-4.5) 
% {$SS:\mathcal R\rightarrow\{H,S,C\}$ \\ $\operatorname{RSA}:\mathcal R\rightarrow[0,1]$}
{Secondary structure \\ Relative surface area} 
  edge[mainedge] node[left,align=center,font=\tiny] {Predict} (qu);
\node[observation,fill=white,align=center,label={[align=center,font=\tiny]180:Features}] (report) at (2,-5.5) {$\operatorname{Feat}$} 
  edge[mainedge,in=0,out=90] (pdb); 
%   edge[mainedge,in=180,out=90] (aln);
\node[observation,font=\tiny,label={[align=center,font=\tiny]0:Insert length\\ resolving\\ profile HMM}] (hmm) at (2,-4.5) {$ilrp\text{-}HMM$} 
  edge[->,thick] (report) 
  edge[mainedge] node[left,align=center,font=\tiny] {Train} (aln);
\node[observation,fill=white,align=center,label={[align=center,font=\tiny]0:Taggability\\ score}] (svm) at (4,-5.5) {$\operatorname{T}$} 
  edge[<-,thick] node[above,align=center,font=\tiny] {Train} (report);
\end{tikzpicture}